Subject: Re: bug#32965: ‘./gradlew’ fails to compile after Icedtea upgrade

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 07 Oct 2018 18:31:52 +0200

Hello Julien,

Julien Lepiller <[email-masked]> writes:

> Le Sun, 07 Oct 2018 11:33:40 +0200,
> Mathieu Lirzin <[email-masked]> a écrit :
>
>> For about 2-3 months doing ‘guix package -u icedtea’ makes the
>> ‘gradle’ build process of a software I am using at work fail.
>> 
>> Here is the output I get:
>> 
>> --8<---------------cut here---------------start------------->8---
>> $ ./gradlew
>> :compileJava UP-TO-DATE
>> :processResources UP-TO-DATE
>> :classes UP-TO-DATE
>> :jar UP-TO-DATE
>> :assemble UP-TO-DATE
>> :compileTestJava FAILED
>> 
>> FAILURE: Build failed with an exception.
>> 
>> * What went wrong:
>> Execution failed for task ':compileTestJava'.
>> > Could not find tools.jar. Please check
>> > that /gnu/store/3b3p13yq4x2db2b5hh47mwazyhy7pp8k-icedtea-3.7.0
>> > contains a valid JDK installation.  
>
> /gnu/store/3b3p13yq4x2db2b5hh47mwazyhy7pp8k-icedtea-3.7.0 is
> icedtea:out, but the JDK is in icedtea:jdk, hence the error message.
> You probably have both icedtea:out and icedtea:jdk in your profile and
> icedtea:out is picked first. Could you try removing icedtea from your
> profile (keeping icedtea:jdk)?

\o/

Thanks for the diagnose, ‘guix package -r icedtea:out -u icedtea:jdk’
worked nicely!

I was unaware that ‘icedtea:out’ and ‘icedtea:jdk’ were not meant to be
installed in the same profile.  In fact I find it confusing since in
general package outputs are used to add things that are optional (doc,
debug, ...) more than defining alternative.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37